Skip to main content
GET
/
workflow
/
{workflow_id}
/
enrollments
List Workflow Enrollments
curl --request GET \
  --url https://api.getoutbox.ai/workflow/{workflow_id}/enrollments/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "executed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "contact_name": "<string>",
      "contact_phone": "<string>",
      "contact_email": "jsmith@example.com",
      "workflow_name": "<string>",
      "current_action": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string<uuid>
required

Query Parameters

executed
boolean

Backwards-compat alias: truestatus=executed, falsepending+waiting.

page
integer
default:1

Partial match on contact name, phone, or email.

status
string

Filter by enrollment status (e.g. pending, waiting, executed, removed).

Response

results
object[]
required
total
integer
required
page
integer
required
page_size
integer
required
total_pages
integer
required